<?php 
require("../conectar.php");
require("funciones.php");
$idrenta=$_GET['idrenta'];
$idcliente=$_GET['idcliente'];
$idconcepto=$_GET['idconcepto'];
$sql="SELECT * FROM expedienteCliente WHERE idcliente='$idcliente'";
$exp=mysql_query($sql);
$expediente=mysql_fetch_array($exp);
$sql="SELECT con.montoanio,con.montomes,con.meses_blanc,con.meses_limp, con.periodo_limp, con.frecuencia_limp, con.mascota, con.cuna,con.camaextra,con.garage,con.per_extra,con.no_meses, con.no_anios, con.tarifa,concat(cli.nombre,' ',cli.a_pat,' ',cli.a_mat) as cliente, dep.id_departamento, dep.no_depto, dep.capacidad, dep.limite, com.direccion, com.nombre, con.subtotal, to_days(con.dia_salida)- to_days(con.dia_inicio) as tiempo, con.impuesto, con.noPersonas, con.dia_salida, con.dia_inicio, con.deposito, con.tipomoneda, con.divisa,con.descuento
 	FROM clientes as cli  
	INNER JOIN conceptos as con ON con.id_cliente=cli.id_cliente
	INNER JOIN complejo as com ON  con.id_complejo=com.id_complejo
	INNER JOIN departamentos as dep ON dep.id_departamento=con.id_departamento
	WHERE con.id_concepto='$idconcepto'";


 
$con=mysql_query($sql);
$consulta=mysql_fetch_array($con);

$descuento=$consulta["descuento"];
$descuento=1-($descuento/100);
if($consulta["impuesto"]>0)$impuesto=1.16;
else $impuesto=1;
$fini=$consulta["dia_inicio"];
$ffin=$consulta["dia_salida"];


	 list($anioies,$mesies,$diaies)=explode("-",$fini);
				 list($aniofes,$mesfes,$diafes)=explode("-",$ffin);
				 
				 $mesextraes=$aniofes-$anioies;
				 $mesfes1=$mesfes+($mesextraes*12);
				 $nomeseses=$mesfes1-$mesies;
				 
				 if($diafes<$diaies)
				 {
				 $nomeseses--;
				 if($nomeseses==0&&$mesextraes>0)
				 { $nomeseses=0; }
				 $numero = cal_days_in_month(CAL_GREGORIAN, $mesfes, $aniofes); 
				$diafes=$diafes+$numero;
				}
				$numerodiasdias=$diafes-$diaies;
				while($numerodiasdias>=7)
				 {
				 $numerodiasdias=$numerodiasdias-7;
				 
				 $numerosemanases++;
				 }
				$meses=$nomeseses; 
if($consulta["tipomoneda"]=="USD"){$dolar=1;$tipomoneda="USD";$palabra="o su equivalente en moneda nacional";$val=1;}
else{$dolar=$consulta["divisa"];$tipomoneda="MXN";$palabra="";$val=0;}
//*******************calcula pago mensual************//	
if($consulta["montomes"]==0)$mes=$consulta["montoanio"];
else$mes=$consulta["montomes"];
if($consulta["tipomoneda"]=="USD"){$mes=$mes;}else{$mes=$mes*$consulta["divisa"];}
if($consulta["meses_blanc"]>0)$blanc=50*$dolar;
if($consulta["meses_limp"]>0)$limp=15*$consulta["periodo_limp"]*$consulta["frecuencia_limp"]*$dolar;
if($consulta["mascota"]<>"0.00")$masc=250*$dolar;
if($consulta["cuna"]<>"0.00")$cuna=150*$dolar;
if($consulta["camaextra"]<>"0.00")$camaextra=130*$dolar;
if($consulta["garage"]<>"0.00")$garage=240*$dolar;
if($consulta["per_extra"]<>"0.00")$per_extra=120*$consulta["noPersonas"]*$dolar;
$mensual=($mes+$blanc+$limp+$masc+$cuna+$camaextra+$garage+$per_extra)*$descuento*$impuesto;
$mensual2=($mes+$blanc+$limp+$masc+$cuna+$camaextra+$garage+$per_extra)*$descuento*$impuesto;
if($consulta["impuesto"]>0){$mensual=$mensual/1.16;$siniva=$mensual;$iva=$mensual2-$siniva;}
//*********************calcula dia final de  contrato****************
$dia_inicio=$consulta["dia_inicio"];
list($anio,$mes,$dia)=explode("-",$dia_inicio);
$anio++;
$dia_salida=$anio."-".$mes."-".$dia;
$fecha=date("Y-m-d");

$admon='CYNTHIA CABRERA MONDRAGON';
if($consulta['nombre']=='CASA CARACOL'){
$arrendador='MONIK MARIA ROSALES MORFIN';
$arrendatario='LUZ LISSETTE MORFIN FLORES';
$fiador='JOSE ALBERTO AVILA SANCHEZ';
}
if($consulta['nombre']=='SAN ANGEL'){
$arrendador='MONIK MARIA ROSALES MORFIN';
$arrendatario='LUZ LISSETTE MORFIN FLORES';
$fiador='JOSE ALBERTO AVILA SANCHEZ';
}
if($consulta['nombre']=='CASA VITO ALESSIO'){
$arrendador='MONIK MARIA ROSALES MORFIN';
$arrendatario='LUZ LISSETTE MORFIN FLORES';
$fiador='JOSE ALBERTO AVILA SANCHEZ';
}
if($consulta['nombre']=='MORAS SUITES'){
$arrendador="DULCE MARIA AVILA SANCHEZ";
$arrendatario='LUZ LISSETTE MORFIN FLORES';
$fiador='MONIK MARIA ROSALES MORFIN';
}
if($consulta['nombre']=='CASA TIZTIK'){
$arrendador="DULCE MARIA AVILA SANCHEZ";
$arrendatario='LUZ LISSETTE MORFIN FLORES';
$fiador='MONIK MARIA ROSALES MORFIN';
}
if($consulta['nombre']=='TORRE PERIFERICO'){
$arrendador='JOSE; ALBERTO AVILA SANCHEZ';
$arrendatario='LUZ LISSETTE MORFIN FLORES';
$fiador='MONIK MARIA ROSALES MORFIN';
}
if($consulta['nombre']=='TORRE SAGREDO'){
	if($consulta['no_depto']>100&&$consulta['no_depto']<200||$consulta['no_depto']>300){
		$arrendador='MONIK MARIA ROSALES MORFIN';
		$arrendatario='LUZ LISSETTE MORFIN FLORES';
		$fiador='JOSE ALBERTO AVILA SANCHEZ';
		}
	else{
		$arrendador='JOSE ALBERTO AVILA SANCHEZ';
		$arrendatario='LUZ LISSETTE MORFIN FLORES';
		$fiador='MONIK MARIA ROSALES MORFIN';
		}
}

$concepto=$_GET["idconcepto"];
			if(isset($_POST["submit"]))$concepto=$_POST["concepto"];
			$sql="SELECT id_resp FROM respuesta_encuesta_abr where id_concepto='$concepto'";
			$query=mysql_query($sql);
			if(($ya=mysql_num_rows($query))==0)
					{
						if(isset($_POST["submit"]))
							{
								$ya=1;
								foreach ($_POST[respo] as $valor) {
									list($id_resp,$respuesta)=explode("-", $valor);
									$sql="INSERT INTO respuesta_encuesta_opc (id_pregunta, id_concepto,respuesta) VALUES ('$id_resp','$_POST[concepto]','$respuesta')";
									mysql_query($sql);
								}
								$idrespa=array();
								$idrespa=$_POST[idrespa];
								foreach ($_POST[respa] as $key=> $valor) {
									$sql="INSERT INTO respuesta_encuesta_abr (id_pregunta, id_concepto,respuesta) VALUES ('$idrespa[$key]','$_POST[concepto]','$valor')";
									mysql_query($sql);
								}
								
							}
					}

	$sql="SELECT concat(cl.nombre,' ',cl.a_pat,' ',cl.a_mat) as cliente, concat(e.nombre,' ',e.a_pat,' ',e.a_mat) as ejecutivo, dep.clave 
	FROM conceptos as c 
	INNER JOIN clientes as cl ON cl.id_cliente=c.id_cliente
	INNER JOIN empleados as e ON e.id_empleado=cl.id_emp
	INNER JOIN departamentos as dep ON dep.id_departamento=c.id_departamento
	
	WHERE c.id_concepto='$concepto'";
	$quer=mysql_query($sql);
	$cli=mysql_fetch_array($quer);
	
	$dep="select com.id_complejo, dep.no_depto, com.nombre, co.moroso,co.id_departamento, dep.clave, co.dia_inicio, co.dia_salida,co.salida_prematura,  co.id_concepto from conceptos as co inner join complejo as com ON com.id_complejo=co.id_complejo inner join departamentos as dep ON dep.id_departamento=co.id_departamento inner join renta as r ON r.id_renta=co.id_renta  where co.id_renta='$idrenta' and co.id_concepto='$idconcepto'";
$de=mysql_query($dep);
	
?>
<?php // require("encabezadoaux.php");
if($ya>0){echo "<p align='center'><br><b>Gracias Por Responder la encuesta<b></p>";}
?>
<style type="text/css">
body,td,th {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 16px;
}
</style>

<form action="#" method="POST" enctype="multipart/form-data" name="forma" onSubmit="return validar(this)">
<center>	   
  <p>&nbsp;</p>
  <p>&nbsp;</p>
  <p>&nbsp;</p>
  <p>&nbsp;</p>
  <p>&nbsp;</p>
  <p>&nbsp;</p>
  <p>&nbsp;</p>
  <p>&nbsp;</p>
  <table width="532" cellpadding="1" cellspacing="0" class="tabla">
	    
		<tr class="titulo">
		  <td colspan="5" align="center" bgcolor="#FFFF66"><strong>MEXICO EN RENTA</strong></td>
    </tr>
		<tr class="titulo">
		 <td colspan="5" bgcolor="#FFFF66">
		  <center>
		  </center>
	     </td>
	</tr>
		<tr>
		  <td bgcolor="#FFFF66" class="tdcali1p">Propiedad:  <?echo$dep["nombre"];?></td>
		  <td width="204" bgcolor="#FFFF66" class="tdcali11p"><span class="titulo"><span class="tdcali1p">Departamento</span>: <?echo $cli["clave"];?></span></td>
    </tr>
		<tr>
		  <td colspan="5" bgcolor="#FFFF66" class="tdcali1p">Nombre: <strong><?php echo $consulta['cliente']; ?></strong></td>
    </tr>
		<tr>
		  <td colspan="2" bgcolor="#FFFF66" class="tdcali1p">Periodo de estancia:  <b><?php echo $consulta["dia_inicio"]; ?> 
	      -- <?php echo $consulta["dia_salida"]; ?></b></td>
    </tr> 
		<tr>
		   <td width="204" bgcolor="#FFFF66" class="tdcali11p"><span class="titulo">Cocepto(s): <?echo $cli["formapago"];?></span></td>
           <td colspan="5" bgcolor="#FFFF66" class="tdcali2p">&nbsp;</td>
    </tr> 
		<tr>
		<td colspan="5" bgcolor="#FFFF66" class="tdcali2p">&nbsp;</td>
	</tr>
		<tr>
		<td colspan="2" bgcolor="#FFFF66" class="tdcali1p">Monto:  <?php  echo moneda($mensual); 
				echo " (".numerotexto($mensual,$tipomoneda).") <b>".$palabra."</b>"; ?></td>
	</tr>
		<tr>
		<td colspan="2" bgcolor="#FFFF66" class="tdcali1p">Fecha:<b> <?php echo fechatexto($dia_inicio); ?></b></td>
	</tr>
		<tr>
		  <td bgcolor="#FFFF66" class="tdcali1p">Recibe <span class="titulo"><?echo $cli["ejecutivo"];?>
	      <?
if($ya==0)
	{
?>
	      </span></td>
          
		  <td bgcolor="#FFFF66" class="tdcali11p"><span class="tdcali1p">Firma:</span></td>
    </tr>
		<tr>
		<td height="21" bgcolor="#FFFF66" class="tdcali1p">Verifica:<?php echo $admon?></td>
		<td bgcolor="#FFFF66" class="tdcali11p"><span class="tdcali1p">Firma:</span></td>
	</tr>

  </table>
  <p>&nbsp;</p>	
	<? 
	  $sqlexp="select * from expedientes where IdEmpleado='$idemp'";
	  $eje=mysql_query($sqlexp);
	  $tot=mysql_num_rows($eje);
	  if($tot>0){ $var=1;
	  }
	  
	  $expe=mysql_fetch_object($eje);
	  if($expe->caratula!=""){$car="<img src='img/ok.png' width='15' height='15'>";}else{$car="<img src='img/nook.png' width='15' height='15'>";}
	  if($expe->ife!=""){$ife="<img src='img/ok.png' width='15' height='15'>";}else{$ife="<img src='img/nook.png' width='15' height='15'>";}
	  if($expe->rfc!=""){$rfc="<img src='img/ok.png' width='15' height='15'>";}else{$rfc="<img src='img/nook.png' width='15' height='15'>";}
	  if($expe->ContratoBan !=""){$ContratoBan ="<img src='img/ok.png' width='15' height='15'>";}else{$ContratoBan ="<img src='img/nook.png' width='15' height='15'>";}
	  if($expe->ComEstudios!=""){$ComEstudios="<img src='img/ok.png' width='15' height='15'>";}else{$ComEstudios="<img src='img/nook.png' width='15' height='15'>";}
	  if($expe->ComDomicilio!=""){$ComDomicilio="<img src='img/ok.png' width='15' height='15'>";}else{$ComDomicilio="<img src='img/nook.png' width='15' height='15'>";}
	  if($expe->contrato!=""){$contrato="<img src='img/ok.png' width='15' height='15'>";}else{$contrato="<img src='img/nook.png' width='15' height='15'>";}
	  if($expe->curp!=""){$curp="<img src='img/ok.png' width='15' height='15'>";}else{$curp="<img src='img/nook.png' width='15' height='15'>";}
	  if($expe->actanac!=""){$actanac="<img src='img/ok.png' width='15' height='15'>";}else{$actanac="<img src='img/nook.png' width='15' height='15'>";}
	  if($expe->sol_curri!=""){$sol_curri="<img src='img/ok.png' width='15' height='15'>";}else{$sol_curri="<img src='img/nook.png' width='15' height='15'>";}
	   if($expe->cartafini!=""){$cartafini="<img src='img/ok.png' width='15' height='15'>";}else{$cartafini="<img src='img/nook.png' width='15' height='15'>";}
	 
	?>
 <?
		}?>
</form>
<center>
</center>
</body>
</html>
